/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Seccion;

/**
 *
 * @author fcelestino
 */
public interface SeccionDAO {
    public ArrayList<Seccion> listarSeccion(int inicio, int cantidad) throws Exception;
    public ArrayList<Seccion> listarSeccion(String codigoCentro,String codigoNivel,String codigoTipoGrado,String codigoGrado) throws Exception;
    public void registrarSeccion(String nombreSeccion,String codigoCentro,String codigoNivel,String codigoTipoGrado,String codigoGrado) throws Exception;
    public void cambiarEstado(String dato, String codigoSeccion) throws Exception;
    public ArrayList<Seccion> cargarSeccion(String codigoCentro,String codigoNivel,String codigoTipoGrado,String codigoGrado) throws Exception;
    public ArrayList<Seccion> cargarSeccion(String codigoSede,String codigoTipoCentro, String codigoCentro,String codigoNivel,String codigoTipoGrado,String codigoGrado) throws Exception;
    public void actualizar(String dato, String codigoSeccion) throws Exception;
    public Seccion nombreSeccion(String codSecc) throws Exception;
    public int cantidaSeccion() throws Exception;
    public int cantidaSeccion(String codigoSeccion) throws Exception;
}
